Subject: [bug#60250] [PATCH] gnu: Add bees.

From: Adam Faiz <[email-masked]>
Date: Fri, 23 Dec 2022 15:57:53 +0800

On 12/23/22 14:25, Hilton Chain wrote:
> Hi Adam,
> 
> On Fri, 23 Dec 2022 02:52:38 +0800,
> Adam Faiz wrote:
>>
>> Hi,
>>
>> It appears that bees hasn't been built on a non-systemd distribution, because an optional feature
>> hard fails. This fixes it, the systemd unit files are installed conditionally anyways:
>>>                     (substitute* "Makefile"
>>>                       (("pkg-config systemd --variable=systemdsystemunitdir" all)
>>>                        (string-append all " || true")))
> Thank you for the snippet and explanation!
> 
> I've made a pull request (of the beesd part) to the upstream:
> <https://github.com/Zygo/bees/pull/241>
> 
> (And it's merged before I send the mail XDDD)
> 
> However I'm not sure about the systemd part, could you explain more about which optional feature
> hard fails?  And I get same binaries whether-ever this part is used.
I had a problem earlier, but I can't reproduce it now. You can remove 
this one.

> As pkg-config is only used for systemd, and markdown for documentations that won't be installed,
> I'd rather remove them from native-inputs, WDYT?
I agree that it should be done, but it's a shame that there's no 
install_docs rule in the Makefile. That should be a feature request/patch.

I already have a bees-remove-bundled-cityhash.patch and 
bees-add-cityhash-to-install.md.patch to send upstream. Should I email 
them to you?